:root {
    --ricale-red: #BB1010;
    --ricale-teal: #28a78d;
    --ricale-dark-teal: #1f8571;
    --bg-gray: #f4f4f4;
    --border-color: #333333 ;
}

* { padding: 0; margin: 0; box-sizing: border-box; }

body {
    font-family: 'Calibri', sans-serif;
    background-color: var(--ricale-red);
    margin: 0;
    padding: 20px;
    display: flex;
    justify-content: center;
}

.body_container {
    background-color: #f0f0f0;
    width: 100%;
    max-width: 950px;
    padding: 10px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.2);
    border-radius: 8px;
}

h2 { 
    text-align: center; 
    color: var(--ricale-red);; 
    margin: 0 0 5px 0; 
    border-bottom: 2px solid var(--ricale-red);; 
    padding-bottom: 5px; 
}

.header h1 {
    color: #333;
    font-size: 24px;
    margin: 0;
    text-transform: uppercase;
}

.header p {
    font-size: 12px;
    color: #666;
    margin-top: 5px;
}

.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 5px;
    color: #333;
}

label span {
    color: var(--ricale-red);;
}

.row {
    display: flex;
    gap: 15px;
    margin-bottom: 10px;
}

.col {
    flex: 1;
}

input[type="text"],
input[type="email"],
input[type="file"],
select {
    width: 100%;
    padding: 10px;
    border: 1px solid #cccccc;
    border-radius: 4px;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

/* Forzamos mayúsculas visuales en inputs de texto */
input[type="text"] {
    text-transform: uppercase;
}

.sub-label {
    font-size: 10px;
    color: #888;
    margin-top: 2px;
}


.buttons {
    display: flex;
    justify-content: space-evenly;
    gap: 10px;
    margin-top: 30px;
    flex-wrap: wrap;
}

.btn {
    padding: 12px;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
    transition: 0.3s;
    width: 230px;
}

.btn-clear { background-color: #333; }
.btn-mail { background-color: #007BFF;}

button:hover { opacity: 0.8; }

input[type="file"] {
    background-color: var(--bg-gray);
}

@media (max-width: 600px) {
    .row { flex-direction: column; gap: 10px; }
    .btn { width: 100%; }
}